#
# This file is part of GNU Enterprise.
#
# GNU Enterprise is free software; you can redistribute it
# and/or modify it under the terms of the GNU General Public
# License as published by the Free Software Foundation; either
# version 2, or (at your option) any later version.
#
# GNU Enterprise is distributed in the hope that it will be
# useful, but WITHOUT ANY WARRANTY; without even the implied
# warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
# PURPOSE. See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public
# License along with program; see the file COPYING. If not,
# write to the Free Software Foundation, Inc., 59 Temple Place
# - Suite 330, Boston, MA 02111-1307, USA.
#
# Copyright 2002 Free Software Foundation
#
# FILE:
# form/WizardRunner.py
#
# DESCRIPTION:
# Runs a form "wizard"
#
# NOTES:
# Adds Prepositioning Template support to the base WizardRunner
#

from gnue.designer.TemplateParser import WizardRunner as BaseWizardRunner
import TemplateSupport
from gnue.common.events import Event

class WizardRunner(BaseWizardRunner):

  def __init__(self, *args, **params):
    BaseWizardRunner.__init__(self, *args, **params)

    # Handle FormPrePositioningTemplate specially;
    # i.e., intercept the run method.
    if issubclass( self.template['BaseClass'],
                   TemplateSupport.FormPrePositioningTemplate ):
      self.run = self.__run


  def __run(self, event):
    self.instance.dispatchEvent(Event('BeginWizard', 
              template=self.template))
    self.instance.visualEditor.startPrePositioningTemplate(self.template)
