#
# This file is part of GNU Enterprise.
#
# GNU Enterprise is free software; you can redistribute it
# and/or modify it under the terms of the GNU General Public
# License as published by the Free Software Foundation; either
# version 2, or (at your option) any later version.
#
# GNU Enterprise is distributed in the hope that it will be
# useful, but WITHOUT ANY WARRANTY; without even the implied
# warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
# PURPOSE. See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public
# License along with program; see the file COPYING. If not,
# write to the Free Software Foundation, Inc., 59 Temple Place
# - Suite 330, Boston, MA 02111-1307, USA.
#
# Copyright 2001-2002 Free Software Foundation
#
# FILE:
# forms/wizards/AddEntry.py
#
# DESCRIPTION:
# Implements a basic form template
#
# NOTES:
# While functional, the primary purpose of this wizard is
# as a "learning-by-example" tool.


from gnue.designer.forms.TemplateSupport import *
from gnue.designer import VERSION
import string


class AddEntryWizard(FormPrePositioningTemplate):



  ###############
  #
  # Initialize any runtime variables
  #
  def StartWithPositioning(self, root, current,
           x=0, y=0, width=10, height=1):
    self.form = root
    self.current = current
    self.x = x
    self.y = y
    self.width = width
    self.height = height



  ###############
  #
  # We have all the data, so generate our widget. 
  #
  def Finalize(self):


    attrs = {'name': 'Entry_1',
             'x': self.x,
             'y': self.y,
             'width': self.width or 10,
             'height': self.height or 1}


    # Find or create parent block...
    block = self.current.findChildOfType('GFBlock')
    if not block:
      page = self.current.findChildOfType('GFPage')
      block = self.AddElement('block', page)


    # Create entry element
    entry = self.AddElement('entry', block, attrs)

    return 1



############
#
# Basic information about this template
#
TemplateInformation = {
    'Product': 'forms',
    'BaseClass' : AddEntryWizard,
    'Name' : 'Add Entry',
    'Description' : 'Inserts a basic unbound entry',
    'Version' : VERSION,
    'Author' : 'The GNUe Designer Team',
    'Behavior': TEMPLATE,
    'Location' : 'Edit|Insert|Unbound Entry'
}

